org.apache.flume.instrumentation

## Interface ChannelCounterMBean

- All Known Implementing Classes:
    ChannelCounter, KafkaChannelCounter

      public interface ChannelCounterMBean

  This interface represents a channel counter mbean. Any class implementing this interface must sub-class MonitoredCounterGroup. This interface might change between minor releases. Please see ChannelCounter class.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getChannelCapacity()`
    `double` | `getChannelFillPercentage()`
    `long` | `getChannelSize()`
    `long` | `getEventPutAttemptCount()`
    `long` | `getEventPutSuccessCount()`
    `long` | `getEventTakeAttemptCount()`
    `long` | `getEventTakeSuccessCount()`
    `long` | `getStartTime()`
    `long` | `getStopTime()`
    `String` | `getType()`

- - ### Method Detail

    - #### getChannelSize

          long getChannelSize()

    - #### getEventPutAttemptCount

          long getEventPutAttemptCount()

    - #### getEventTakeAttemptCount

          long getEventTakeAttemptCount()

    - #### getEventPutSuccessCount

          long getEventPutSuccessCount()

    - #### getEventTakeSuccessCount

          long getEventTakeSuccessCount()

    - #### getStartTime

          long getStartTime()

    - #### getStopTime

          long getStopTime()

    - #### getChannelCapacity

          long getChannelCapacity()

    - #### getType

          String getType()

    - #### getChannelFillPercentage

          double getChannelFillPercentage()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.